﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Memcached.ClientLibrary;



namespace MembercachedTest2
{
    class Program
    {
        static void Main(string[] args)
        {
            SockIOPool pool = SockIOPool.GetInstance();
            string[] servers = { "127.0.0.1:11211" };
            pool.SetServers(servers);
            pool.MinConnections = 3;
            pool.MaxConnections = 5;
            pool.InitConnections = 3;
            pool.SocketConnectTimeout = 5000;
            pool.Initialize();

            MemcachedClient client = new MemcachedClient();
            client.EnableCompression = false;
            Console.WriteLine("----------------------------Set-----------");
            client.Set("key1", "value1");
            Console.WriteLine(client.Get("key1"));            
            Console.WriteLine("---------------------------replay---------");
            client.Replace("key1", "Replay new Key1");
            Console.WriteLine(client.Get("key1"));
            Console.WriteLine("---------------------------键值是否存在----");
            if (client.KeyExists("key2"))
            {
                Console.WriteLine("key2存在");
            }
            else
            {
                Console.WriteLine("key2不存在，设置新值");
                client.Set("key2", "New key2");
            }
            Console.WriteLine("-------------------------删除数据--------");
            client.Delete("key2");
            Console.WriteLine("删除之后的数据: " + client.Get("key2"));

            Console.WriteLine("-------------------------数据过期--------");
            client.Add("key3", "新数据三内容", DateTime.Now.AddMilliseconds(5000));
            Console.WriteLine(client.Get("key5"));
            System.Threading.Thread.Sleep(6000);
            Console.WriteLine("过期: "+ client.Get("key5"));

            Console.ReadLine();


        }
    }
}
